Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jprocessunit.addon.jpd
Class TerminateProcessEvent

    java.lang.Object
      org.jprocessunit.ActionEvent
          org.jprocessunit.addon.jpd.TerminateProcessEvent

All Implemented Interfaces:
  ProcessEvent

    public class TerminateProcessEvent

extends ActionEvent

JProcessUnit Action Event used to terminate JPD process instance.

Author:
  Reza Shafii

Constructor Summary
`TerminateProcessEvent(StartProcessEvent startingEvent)`
`TerminateProcessEvent(java.lang.String serviceUri, java.lang.String instanceId)`

Method Summary
`void` | `performAction()` Executes this action by terminating the process refered to by the start action.

Methods inherited from class org.jprocessunit.ActionEvent
`assertEvent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TerminateProcessEvent

    public TerminateProcessEvent(StartProcessEvent startingEvent)

Parameters:
  `startingEvent` - Start event for the process to be terminated

### TerminateProcessEvent

    public TerminateProcessEvent(java.lang.String serviceUri,
                                 java.lang.String instanceId)

Parameters:
  `instanceId` - Instance ID of the JPD to be terminated

Method Detail

### performAction

    public void performAction()

  Executes this action by terminating the process refered to by the start action. This is only done for processes that are not already completed or terminated. If the process is already completed or terminated then nothing is done.

  Specified by:
    `performAction` in class `ActionEvent`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

JProcessUnit API